来自 操作系统 2019-10-17 19:55 的文章
当前位置: 网上澳门金莎娱乐 > 操作系统 > 正文

utf-8-用pip下载gensim出现exception 求大佬们指点!!!

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb6 in position 30: invalid start byte

During handling of the above exception, another exception occurred:

    return s.decode(sys.__stdout__.encoding)

Traceback (most recent call last):
File "c:program filespython37libsite-packagespipbasecommand.py", line 215, in main
status = self.run(options, args)
File "c:program filespython37libsite-packagespipcommandsinstall.py", line 324, in run
requirement_set.prepare_files
File "c:program filespython37libsite-packagespipreqreq_set.py", line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "c:program filespython37libsite-packagespipreqreq_set.py", line 634, in prepare_file
abstract_dist.prep_for_dist()
File "c:program filespython37libsite-packagespipreqreq_set.py", line 129, in prep_for_dist
self.req_to_install.run_egg_info()
File "c:program filespython37libsite-packagespipreqreq_install.py", line 439, in run_egg_info
command_desc='python setup.py egg_info')
File "c:program filespython37libsite-packagespiputils
_init__.py", line 676, in call_subprocess
line = console_to_str(proc.stdout.readline
File "c:program filespython37libsite-packagespipcompat__init__.py", line 75, in console_to_str
return s.decode
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

    line = console_to_str(proc.stdout.readline())

有没有大佬告诉一下是哪里出了问题???

Traceback (most recent call last):

用pip下载gensim出现exception 求大佬们指点!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File "c:program filespython37libsite-packagespipcompat__init__.py", line 73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

    **kwargs

  File "e:pythonenvspy2scripylibsite-packagespipcompat__init__.py", line 73, in console_to_str

During handling of the above exception, another exception occurred:

  File "e:pythonenvspy2scripylibsite-packagespipbasecommand.py", line 215, in main

  File "e:pythonenvspy2scripylibsite-packagespipcommandsinstall.py", line 342, in run

  Running setup.py clean for Twisted

Traceback (most recent call last):

 

  Failed building wheel for Twisted

 图片 1

  File "e:pythonenvspy2scripylibsite-packagespipcompat__init__.py", line 75, in console_to_str

解决方法:

  File "e:pythonenvspy2scripylibsite-packagespipreqreq_install.py", line 878, in install

本文由网上澳门金莎娱乐发布于操作系统,转载请注明出处:utf-8-用pip下载gensim出现exception 求大佬们指点!!!

关键词: